import { style } from '@vanilla-extract/css';
import { config, toRem } from 'folds';

export const ThreadPanel = style({
  width: toRem(360),
  '@media': {
    '(max-width: 750px)': {
      position: 'fixed',
      inset: 0,
      width: '100%',
      zIndex: 500,
    },
  },
});

export const ThreadPanelHeader = style({
  flexShrink: 0,
  padding: `0 ${config.space.S200} 0 ${config.space.S300}`,
  borderBottomWidth: config.borderWidth.B300,
});

export const ThreadPanelContent = style({
  position: 'relative',
  overflow: 'hidden',
});

export const ThreadPanelInput = style({
  padding: config.space.S200,
  borderTopWidth: config.borderWidth.B300,
});
